<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myJobordersLabel" jhiTranslate="mpmApp.joborders.home.createOrEditLabel">Create or edit a Joborders</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!joborders.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="joborders.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.joborders.idOrder" for="field_idOrder">Id Order</label>
            <input type="number" class="form-control" name="idOrder" id="field_idOrder"
                [(ngModel)]="joborders.idOrder"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.joborders.orderNumber" for="field_orderNumber">Order Number</label>
            <input type="text" class="form-control" name="orderNumber" id="field_orderNumber"
                [(ngModel)]="joborders.orderNumber"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
